SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
math_helpers.h File Reference

Interfaces for comparing values with tolerances. More...

`#include <SketchUpAPI/common.h>`

## Functions
double | SUDegreesToRadians (double value)
| Converts a value from degrees to radians. More...
double | SURadiansToDegrees (double value)
| Converts a value from radians to degrees. More...
bool | SUEquals (double val1, double val2)
| Compares two values for equality with a tolerance. More...
bool | SULessThan (double val1, double val2)
| Compares two values with a tolerance to see if val1 is less than val2. More...
bool | SULessThanOrEqual (double val1, double val2)
| Compares two values with a tolerance to see if val1 is less than or equal to val2. More...
bool | SUGreaterThan (double val1, double val2)
| Compares two values with a tolerance to see if val1 is greater than val2. More...
bool | SUGreaterThanOrEqual (double val1, double val2)
| Compares two values with a tolerance to see if val1 is greater than or equal to val2. More...

## Detailed Description

Interfaces for comparing values with tolerances.

## Function Documentation

double SUDegreesToRadians | ( | double | value | ) |

Converts a value from degrees to radians.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | value | A value in degrees.

Returns
  The value converted to radians.

bool SUEquals | ( | double | val1,
|  | double | val2
| ) |  |

Compares two values for equality with a tolerance.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | val1 | The first value.
  [in] | val2 | The second value.

Returns
  True if the values are equal.

bool SUGreaterThan | ( | double | val1,
|  | double | val2
| ) |  |

Compares two values with a tolerance to see if val1 is greater than val2.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | val1 | The first value.
  [in] | val2 | The second value.

Returns
  True if val1 is greater than val2.

bool SUGreaterThanOrEqual | ( | double | val1,
|  | double | val2
| ) |  |

Compares two values with a tolerance to see if val1 is greater than or equal to val2.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | val1 | The first value.
  [in] | val2 | The second value.

Returns
  True if val1 is greater than or equal to val2.

bool SULessThan | ( | double | val1,
|  | double | val2
| ) |  |

Compares two values with a tolerance to see if val1 is less than val2.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | val1 | The first value.
  [in] | val2 | The second value.

Returns
  True if val1 is less than val2.

bool SULessThanOrEqual | ( | double | val1,
|  | double | val2
| ) |  |

Compares two values with a tolerance to see if val1 is less than or equal to val2.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | val1 | The first value.
  [in] | val2 | The second value.

Returns
  True if val1 is less than or equal to val2.

double SURadiansToDegrees | ( | double | value | ) |

Converts a value from radians to degrees.

Since
  SketchUp 2018, API 6.0

Parameters

  [in] | value | A value in radians.

Returns
  The value converted to degrees.